# Tests disabled: depend on jshint which has incompatible license
%global enable_tests 0
%global srcname grunt-angular-templates

Name:           nodejs-grunt-angular-templates
Version:        0.5.7
Release:        5%{?dist}
Summary:        Grunt build task to concatenate & register your AngularJS templates
License:        MIT
URL:            https://github.com/ericclemmons/grunt-angular-templates
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-clean)
BuildRequires:  npm(grunt-contrib-copy)
BuildRequires:  npm(grunt-contrib-cssmin)
BuildRequires:  npm(grunt-contrib-jshint)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-usemin)
%endif


%description
Speed up your AngularJS app by automatically minifying, combining, and 
automatically caching your HTML templates with $templateCache.


%prep
%setup -q -n package
rm -rf node_modules/
%nodejs_fixdep html-minifier


%build
%nodejs_symlink_deps --build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json Gruntfile.js tasks/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
grunt
%endif


%files
%doc README.md CONTRIBUTORS.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}/


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.5.7-4
- Fixdep html-minifier

* Sat Oct 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.5.7-4
- Fixdep html-minifier

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 16 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.5.7-2
- Fixdep for updated html-minifier

* Sun Nov 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.5.7-1
- Initial package.
